> For the complete documentation index, see [llms.txt](https://developer.kizen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.kizen.com/api/team.md).

# Team

## GET /api/team

> List Employees

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"PaginatedListEmployeeList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/ListEmployee"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"ListEmployee":{"type":"object","description":"Serializer for Employee model.","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"full_name":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"mobile_phone":{"type":"string","nullable":true},"email":{"type":"string","format":"email","nullable":true},"verified":{"type":"boolean","readOnly":true},"phone":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"picture":{"type":"string","format":"uuid","nullable":true},"is_team_member":{"type":"boolean"},"user":{"type":"string","format":"uuid","nullable":true},"display_name":{"type":"string","readOnly":true},"roles":{"type":"array","items":{"$ref":"#/components/schemas/SimpleRole"},"readOnly":true},"language":{"$ref":"#/components/schemas/LanguageEnum"},"theme":{"$ref":"#/components/schemas/ThemeEnum"},"permission_groups":{"type":"array","items":{"$ref":"#/components/schemas/SimplePermissionGroup"},"readOnly":true},"permissions":{"type":"array","items":{},"readOnly":true},"added_permissions":{"type":"array","items":{"type":"string"}},"revoked_permissions":{"type":"array","items":{"type":"string"}},"email_signature":{"type":"string","nullable":true},"track_annual_sales_goal":{"type":"boolean"},"annual_sales_goal":{"type":"string","format":"decimal","pattern":"^-?\\d{0,12}(?:\\.\\d{0,2})?$","nullable":true},"start_date":{"type":"string","format":"date-time"},"last_login":{"type":"string","format":"date-time","readOnly":true,"nullable":true},"deleted":{"type":"boolean","readOnly":true},"fields":{"allOf":[{"$ref":"#/components/schemas/Fields"}],"readOnly":true},"account_type":{"allOf":[{"$ref":"#/components/schemas/EmployeeAccountTypeEnum"}],"readOnly":true,"nullable":true}},"required":["account_type","deleted","display_name","fields","id","last_login","permission_groups","permissions","roles","verified"]},"SimpleRole":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string","maxLength":200},"default_for_new_users":{"type":"boolean"}},"required":["id","name"]},"LanguageEnum":{"enum":["en-us","fr","de","hi","it","ja","pt","es","ru"],"type":"string","description":"* `en-us` - English\n* `fr` - French\n* `de` - German\n* `hi` - Hindi\n* `it` - Italian\n* `ja` - Japanese\n* `pt` - Portuguese\n* `es` - Spanish\n* `ru` - Russian"},"ThemeEnum":{"enum":["light","high-contrast","qa","brand"],"type":"string","description":"* `light` - Light\n* `high-contrast` - High Contrast\n* `qa` - QA\n* `brand` - Brand"},"SimplePermissionGroup":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string","maxLength":200}},"required":["id","name"]},"Fields":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SerializedFieldValueDict"}},"required":["id"]},"SerializedFieldValueDict":{"type":"object","properties":{"id":{"type":"string"},"field_type":{"type":"string"},"display_name":{"type":"string"},"value":{"type":"object","additionalProperties":{}}},"required":["display_name","field_type","id","value"]},"EmployeeAccountTypeEnum":{"enum":["user_standard","service_automation","service_integration","service_automationplugin","service_integration_plugin"],"type":"string","description":"* `user_standard` - Standard\n* `service_automation` - Agentic Workflow Code Account\n* `service_integration` - Integration Service Account\n* `service_automationplugin` - Plugin Automation Service Account\n* `service_integration_plugin` - Plugin Integration Service Account"}}},"paths":{"/api/team":{"get":{"operationId":"team_list","description":"List Employees","parameters":[{"in":"query","name":"account_type","schema":{"type":"string"}},{"in":"query","name":"is_verified","schema":{"type":"boolean"}},{"in":"query","name":"ordering","schema":{"type":"string","enum":["annual_sales_goal","email","full_name","last_login","permission_groups","phone","roles","start_date","verified"]},"description":"Which field to use when ordering the results. Prepend with '-' for descending order."},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"name":"page_size","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"name":"search","required":false,"in":"query","description":"A search term.","schema":{"type":"string"}}],"tags":["team"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedListEmployeeList"}}},"description":""}}}}}}
```

## GET /api/team/typeahead

> Typeahead List Employees

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"PaginatedEmployeeLightList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/EmployeeLight"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"EmployeeLight":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"email":{"type":"string","format":"email","readOnly":true},"first_name":{"type":"string","readOnly":true},"last_name":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true},"account_type":{"type":"string","readOnly":true}},"required":["account_type","display_name","email","first_name","id","last_name"]}}},"paths":{"/api/team/typeahead":{"get":{"operationId":"team_typeahead_list","description":"Typeahead List Employees","parameters":[{"in":"query","name":"account_type","schema":{"type":"string"}},{"in":"query","name":"include_service_accounts","schema":{"type":"boolean"},"description":"When true, include service accounts in results."},{"in":"query","name":"is_verified","schema":{"type":"boolean"}},{"in":"query","name":"ordering","schema":{"type":"string","enum":["display_name","email","first_name","full_name","last_name"]},"description":"Which field to use when ordering the results. Prepend with '-' for descending order."},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"name":"page_size","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"name":"search","required":false,"in":"query","description":"A search term.","schema":{"type":"string"}}],"tags":["team"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEmployeeLightList"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.kizen.com/api/team.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
